ALTER TABLE KUPCI
ADD PRIMARY_PHONE_COUNTRY_CODE VARCHAR2(3 CHAR);

ALTER TABLE KUPCI
ADD SECONDARY_PHONE_COUNTRY_CODE VARCHAR2(3 CHAR);

ALTER TABLE KUPCI
ADD MOBILE_PHONE_COUNTRY_CODE VARCHAR2(3 CHAR);

CREATE TABLE NNSTATE (
  ID_STATE NUMBER NOT NULL,
  COUNTRY_CODE VARCHAR2(3 CHAR),
  CODE VARCHAR2(5 CHAR),
  DESCRIPTION VARCHAR2(100 CHAR),
  INTERNAL_DESCRIPTION VARCHAR2(100 CHAR),
  ACTIVE VARCHAR2(1 CHAR),
  CONSTRAINT NNSTATE_PK PRIMARY KEY (ID_STATE),
  CONSTRAINT NNSTATE_COUNTRY_CODE_FK FOREIGN KEY (COUNTRY_CODE) REFERENCES NNDRZAVE(SIFRA)
);

CREATE INDEX IX_NNSTATE_COUNTRY_CODE ON NNSTATE(COUNTRY_CODE);

CREATE SEQUENCE NNSTATE_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

ALTER TABLE KUPCI
ADD ID_STATE NUMBER;

ALTER TABLE KUPCI
ADD CONSTRAINT KUPCI_ID_STATE_FK
FOREIGN KEY (ID_STATE) REFERENCES NNSTATE(ID_STATE);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1479, SYSDATE, '5.5', 1399, 'Nnstate and phone codes')
;