DROP VIEW V_EXCHANGE;

CREATE OR REPLACE VIEW V_EXCHANGE AS 
SELECT M.ID_MONEY, E.ID AS ID_EXCHANGE, E.ID_SALDKONT, E.DATUM, C.OPIS, M.ZNESEK, M.NVALUTA, M.TECAJ, M.STANJE_VAL, M.R_EXPORT_NR, M.PAYMENT_RESPONSE_ID, 
M.VRSTA_BL, M.ID_CARDS, M.ID_WORKSTATION, E.ID_REGISTER_CLOSE, E.ID_CARDS_CLOSE, W.DESCRIPTION AS WORKSTATION_DESCRIPTION, C.SELECT_WORKSTATION AS NNCARDS_SELECT_WORKSTATION
FROM 
EXCHANGE E 
JOIN MONEY M ON E.ID=M.ID_MENJAVE
JOIN NNCARDS C ON M.ID_CARDS=C.ID_CARDS
LEFT OUTER JOIN WORKSTATION W ON W.ID = M.ID_WORKSTATION
;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (2062, SYSDATE, '5.5', 1982, 'VExchange')
;